javax.security.auth

## Interface Destroyable

- All Known Implementing Classes:
    KerberosKey, KerberosTicket, KeyStore.PasswordProtection, X500PrivateCredential

      public interface Destroyable

  Objects such as credentials may optionally implement this interface to provide the capability to destroy its contents.
  See Also:
    `Subject`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroy this `Object`.
    `boolean` | `isDestroyed()` Determine if this `Object` has been destroyed.

- - ### Method Detail

    - #### destroy

          void destroy()
                       throws DestroyFailedException

      Destroy this `Object`.

      Sensitive information associated with this `Object` is destroyed or cleared. Subsequent calls to certain methods on this `Object` will result in an `IllegalStateException` being thrown.

      Throws:
        `DestroyFailedException` - if the destroy operation fails.

        `SecurityException` - if the caller does not have permission to destroy this `Object`.

    - #### isDestroyed

          boolean isDestroyed()

      Determine if this `Object` has been destroyed.

      Returns:
        true if this `Object` has been destroyed, false otherwise.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.